> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get sync errors

> Returns a list of recent sync errors that have occurred since the last successful sync.



## OpenAPI

````yaml https://app.opal.dev/openapi.yaml get /sync_errors
openapi: 3.1.0
info:
  contact:
    email: hello@opal.dev
    name: Opal Team
    url: https://www.opal.dev/
  description: >-
    The Opal API is a RESTful API that allows you to interact with the Opal
    Security platform programmatically.
  title: Opal API
  version: '1.0'
servers:
  - description: Production
    url: https://api.opal.dev/v1
security: []
tags:
  - name: access-rules
    description: Operations related to access rules
  - name: apps
    description: Operations related to apps
  - name: bundles
    description: Operations related to bundles
  - name: configuration-templates
    description: Operations related to configuration templates
  - name: delegations
    description: Operations related to request reviewer delegations
  - name: events
    description: Operations related to events
  - name: groups
    description: Operations related to groups
  - name: group-bindings
    description: Operations related to group bindings
  - name: idp-group-mappings
    description: Operations related to IDP group mappings
  - name: message-channels
    description: Operations related to message channels
  - name: non-human-identities
    description: Operations related to non-human identities
  - name: on-call-schedules
    description: Operations related to on-call schedules
  - name: owners
    description: Operations related to owners
  - name: requests
    description: Operations related to requests
  - name: resources
    description: Operations related to resources
  - name: sessions
    description: Operations related to sessions
  - name: tags
    description: Operations related to tags
  - name: tokens
    description: Operations related to API tokens
  - name: uars
    description: Operations related to UARs
  - name: users
    description: Operations related to users
paths:
  /sync_errors:
    get:
      tags:
        - apps
      description: >-
        Returns a list of recent sync errors that have occurred since the last
        successful sync.
      operationId: getSyncErrors
      parameters:
        - description: The ID of the app to list sync errors for.
          example: 29827fb8-f2dd-4e80-9576-28e31e9934ac
          explode: false
          in: query
          name: app_id
          required: false
          schema:
            type: string
            format: uuid
          style: form
        - description: The ID of the resource to list sync errors for.
          example: 4baf8423-db0a-4037-a4cf-f79c60cb67a5
          explode: false
          in: query
          name: resource_id
          required: false
          schema:
            type: string
            format: uuid
          style: form
        - description: The ID of the group to list sync errors for.
          example: 9546209c-42c2-4801-96d7-9ec42df0f59c
          explode: false
          in: query
          name: group_id
          required: false
          schema:
            type: string
            format: uuid
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SyncErrorList'
                type: array
          description: A list of sync errors.
      security:
        - BearerAuth: []
components:
  schemas:
    SyncErrorList:
      example:
        sync_errors:
          - app_id: b5a5ca27-0ea3-4d86-9199-2126d57d1fbd
            first_seen: '2022-07-14T06:59:59.000Z'
            last_seen: '2022-08-23T04:32:46.000Z'
            error_message: Failed to connect to the remote system - insufficient credentials.
          - app_id: b5a5ca27-0ea3-4d86-9199-2126d57d1fbd
            first_seen: '2023-04-24T06:59:59.000Z'
            last_seen: '2024-08-21T04:32:46.000Z'
            error_message: Resource not found.
      properties:
        sync_errors:
          items:
            $ref: '#/components/schemas/SyncError'
          type: array
      type: object
      required:
        - sync_errors
    SyncError:
      description: |-
        # SyncError Object
        ### Description
        The `SyncError` object is used to represent a sync error.

        ### Usage Example
        List from the `GET Sync Errors` endpoint.
      example:
        app_id: b5a5ca27-0ea3-4d86-9199-2126d57d1fbd
        first_seen: '2022-07-14T06:59:59.000Z'
        last_seen: '2022-08-23T04:32:46.000Z'
        error_message: Failed to connect to the remote system - insufficient credentials.
      properties:
        first_seen:
          description: The time when this error was first seen.
          example: '2022-07-14T06:59:59.000Z'
          type: string
          format: date-time
        last_seen:
          description: The time when this error was most recently seen.
          example: '2022-07-14T06:59:59.000Z'
          type: string
          format: date-time
        error_message:
          description: The error message associated with the sync error.
          example: Failed to connect to the remote system - insufficient credentials.
          type: string
        app_id:
          description: The ID of the app that the error occured for.
          example: b5a5ca27-0ea3-4d86-9199-2126d57d1fbd
          format: uuid
          type: string
      required:
        - first_seen
        - last_seen
        - error_message
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````